## suitesparse 4.4.6

=== AMD/Makefile ===
#------------------------------------------------------------------------------
# AMD Makefile (for GNU Make or original make)
#------------------------------------------------------------------------------

VERSION = 2.4.1

default: all

include ../SuiteSparse_config/SuiteSparse_config.mk

demos: all

# Compile all C code.  Do not compile the FORTRAN versions.
all:
	( cd Lib    ; $(MAKE) )
	( cd Demo   ; $(MAKE) )

# compile just the C-callable libraries (not Demos)
library:
	( cd Lib    ; $(MAKE) )

# compile the FORTRAN libraries and demo programs (not compiled by "make all")
fortran:
	( cd Lib    ; $(MAKE) fortran )
	( cd Demo   ; $(MAKE) fortran )

# compile a FORTRAN demo program that calls the C version of AMD
# (not compiled by "make all")
cross:
	( cd Demo   ; $(MAKE) cross )

# remove object files, but keep the compiled programs and library archives
clean:
	( cd Lib    ; $(MAKE) clean )
	( cd Demo   ; $(MAKE) clean )
	( cd MATLAB ; $(RM) $(CLEAN) )
	( cd Doc    ; $(MAKE) clean )

# clean, and then remove compiled programs and library archives
purge:
	( cd Lib    ; $(MAKE) purge )
	( cd Demo   ; $(MAKE) purge )
	( cd MATLAB ; $(RM) $(CLEAN) ; $(RM) *.mex* )
	( cd Doc    ; $(MAKE) purge )

distclean: purge

# create PDF documents for the original distribution
docs:
	( cd Doc    ; $(MAKE) )

# get ready for distribution
dist: purge
	( cd Demo   ; $(MAKE) dist )
	( cd Doc    ; $(MAKE) )

ccode: library

lib: library

# install AMD
install:
	$(CP) Lib/libamd.a $(INSTALL_LIB)/libamd.$(VERSION).a
	( cd $(INSTALL_LIB) ; ln -sf libamd.$(VERSION).a libamd.a )
	$(CP) Include/amd.h $(INSTALL_INCLUDE)
	chmod 644 $(INSTALL_LIB)/libamd*
	chmod 644 $(INSTALL_INCLUDE)/amd.h

# uninstall AMD
uninstall:
	$(RM) $(INSTALL_LIB)/libamd*.a
	$(RM) $(INSTALL_INCLUDE)/amd.h

=== CSparse/Makefile ===
#------------------------------------------------------------------------------
# CSparse Makefile
#------------------------------------------------------------------------------

VERSION = 3.1.4

C:
	( cd Lib ; $(MAKE) )
	( cd Demo ; $(MAKE) )

all: C cov

library:
	( cd Lib ; $(MAKE) )

cov:
	( cd Tcov ; $(MAKE) )

clean:
	( cd Lib ; $(MAKE) clean )
	( cd Demo ; $(MAKE) clean )
	( cd Tcov ; $(MAKE) clean )
	( cd MATLAB/CSparse ; $(RM) *.o )
	( cd MATLAB/Test    ; $(RM) *.o )

purge:
	( cd Lib ; $(MAKE) purge )
	( cd Demo ; $(MAKE) purge )
	( cd Tcov ; $(MAKE) purge )
	( cd MATLAB/CSparse ; $(RM) *.o *.mex* )
	( cd MATLAB/Test    ; $(RM) *.o *.mex* )

distclean: purge

# do not install CSparse; use CXSparse instead
install:

# uninstall CSparse: do nothing
uninstall:

=== GPUQREngine/Makefile ===
#-------------------------------------------------------------------------------
# GPUQREngine Makefile
#-------------------------------------------------------------------------------

VERSION = 1.0.0

# default is 'library' since there is no demo program
default: library

include ../SuiteSparse_config/SuiteSparse_config.mk

# Compile the C-callable libraries
all: library

# Compile the C-callable libraries only.
library:
	( cd Lib ; $(MAKE) )

# Remove all files not in the original distribution
purge:
	( cd Lib ; $(MAKE) purge )

# Remove all files not in the original distribution, except keep the 
# compiled libraries.
clean:
	( cd Lib ; $(MAKE) clean )

distclean: purge

ccode: all

# install GPUQREngine.  Note that the include files are not installed.
install:
	$(CP) Lib/libGPUQREngine.a $(INSTALL_LIB)/libGPUQREngine.$(VERSION).a
	( cd $(INSTALL_LIB) ; ln -sf libGPUQREngine.$(VERSION).a libGPUQREngine.a )
	chmod 644 $(INSTALL_LIB)/libGPUQREngine*.a

# uninstall GPUQREngine
uninstall:
	$(RM) $(INSTALL_LIB)/libGPUQREngine*.a

=== KLU/Makefile ===
#------------------------------------------------------------------------------
# KLU Makefile
#------------------------------------------------------------------------------

VERSION = 1.3.3

default: all

include ../SuiteSparse_config/SuiteSparse_config.mk

demos: all

all:
	( cd Lib ; $(MAKE) )
	( cd Demo ; $(MAKE) )

library:
	( cd Lib ; $(MAKE) )

clean:
	( cd Demo ; $(MAKE) clean )
	( cd Lib ; $(MAKE) clean )
	( cd Tcov ; $(MAKE) clean )
	( cd MATLAB ; $(RM) $(CLEAN) rename.h )

distclean:
	( cd Demo ; $(MAKE) distclean )
	( cd Lib ; $(MAKE) distclean )
	( cd Tcov ; $(MAKE) distclean )
	( cd User ; $(MAKE) distclean )
	( cd MATLAB ; $(RM) $(CLEAN) rename.h *.mex* )

purge: distclean

cov: library
	( cd Tcov ; $(MAKE) )

# create PDF documents for the original distribution
docs:
	( cd Doc    ; $(MAKE) )

# install KLU
install:
	$(CP) Lib/libklu.a $(INSTALL_LIB)/libklu.$(VERSION).a
	( cd $(INSTALL_LIB) ; ln -sf libklu.$(VERSION).a libklu.a )
	$(CP) Include/klu.h $(INSTALL_INCLUDE)
	chmod 644 $(INSTALL_LIB)/libklu*.a
	chmod 644 $(INSTALL_INCLUDE)/klu.h

# uninstall KLU
uninstall:
	$(RM) $(INSTALL_LIB)/libklu*.a
	$(RM) $(INSTALL_INCLUDE)/klu.h

=== LDL/Makefile ===
#------------------------------------------------------------------------------
# LDL Makefile
#------------------------------------------------------------------------------

VERSION = 2.2.1

default: all

include ../SuiteSparse_config/SuiteSparse_config.mk

demos: all

# Compile all C code, including the C-callable routine.
all:
	( cd Lib    ; $(MAKE) )
	( cd Demo   ; $(MAKE) )

# compile just the C-callable libraries (not Demos)
library:
	( cd Lib    ; $(MAKE) )

# remove object files, but keep the compiled programs and library archives
clean:
	( cd Lib    ; $(MAKE) clean )
	( cd Demo   ; $(MAKE) clean )
	( cd Doc    ; $(MAKE) clean )
	( cd MATLAB ; $(RM) $(CLEAN) )

# clean, and then remove compiled programs and library archives
purge:
	( cd Lib    ; $(MAKE) purge )
	( cd Demo   ; $(MAKE) purge )
	( cd Doc    ; $(MAKE) purge )
	( cd MATLAB ; $(RM) $(CLEAN) *.mex* )

distclean: purge

# create PDF documents for the original distribution
docs:
	( cd Doc    ; $(MAKE) )

# get ready for distribution
dist: purge
	( cd Demo   ; $(MAKE) dist )
	( cd Doc    ; $(MAKE) )

ccode: library

lib: library

# install LDL
install:
	$(CP) Lib/libldl.a $(INSTALL_LIB)/libldl.$(VERSION).a
	( cd $(INSTALL_LIB) ; ln -sf libldl.$(VERSION).a libldl.a )
	$(CP) Include/ldl.h $(INSTALL_INCLUDE)
	chmod 644 $(INSTALL_LIB)/libldl*.a
	chmod 644 $(INSTALL_INCLUDE)/ldl.h

# uninstall LDL
uninstall:
	$(RM) $(INSTALL_LIB)/libldl*.a
	$(RM) $(INSTALL_INCLUDE)/ldl.h

=== RBio/Makefile ===
#-------------------------------------------------------------------------------
# RBio Makefile
#-------------------------------------------------------------------------------

VERSION = 2.2.1

default: all

include ../SuiteSparse_config/SuiteSparse_config.mk

# Compile the C-callable libraries and the Demo programs.
all:
	( cd Lib ; $(MAKE) )
	( cd Demo ; $(MAKE) )

# Compile the C-callable libraries only.
library:
	( cd Lib ; $(MAKE) )

# Remove all files not in the original distribution
purge:
	( cd Tcov ; $(MAKE) purge )
	( cd Lib ; $(MAKE) purge )
	( cd Demo ; $(MAKE) purge )
	( cd RBio ; $(RM) $(CLEAN) private/temp.rb *.mex* )

# Remove all files not in the original distribution, except keep the 
# compiled libraries.
clean:
	( cd Tcov ; $(MAKE) clean )
	( cd Lib ; $(MAKE) clean )
	( cd Demo ; $(MAKE) clean )
	( cd RBio ; $(RM) $(CLEAN) private/temp.rb )

distclean: purge

ccode: all

# Run the test coverage suite.
cov:
	( cd Tcov ; $(MAKE) go )

# Run the test coverage suite using Valgrind.
valgrind:
	( cd Valgrind ; $(MAKE) )

# Compile the C-callable libraries and the Demo programs.
demos:
	( cd Demo ; $(MAKE) )


# install RBio
install:
	$(CP) Lib/librbio.a $(INSTALL_LIB)/librbio.$(VERSION).a
	( cd $(INSTALL_LIB) ; ln -sf librbio.$(VERSION).a librbio.a )
	$(CP) Include/RBio.h $(INSTALL_INCLUDE)
	chmod 644 $(INSTALL_LIB)/librbio*.a
	chmod 644 $(INSTALL_INCLUDE)/RBio.h

# uninstall RBio
uninstall:
	$(RM) $(INSTALL_LIB)/librbio*.a
	$(RM) $(INSTALL_INCLUDE)/RBio.h

=== SuiteSparse_GPURuntime/Makefile ===
#-------------------------------------------------------------------------------
# SuiteSparse_GPURuntime Makefile
#-------------------------------------------------------------------------------

VERSION = 1.0.0

default: all

include ../SuiteSparse_config/SuiteSparse_config.mk

# Compile the C-callable libraries only (there is no Demo for this package)
all: library

# Compile the C-callable libraries only.
library:
	( cd Lib ; $(MAKE) )

# Remove all files not in the original distribution
purge:
	( cd Lib ; $(MAKE) purge )

# Remove all files not in the original distribution, except keep the 
# compiled libraries.
clean:
	( cd Lib ; $(MAKE) clean )

distclean: purge

ccode: all

# install SuiteSparse_GPURuntime (just the library, not the include files)
install:
	$(CP) Lib/libSuiteSparse_GPURuntime.a $(INSTALL_LIB)/libSuiteSparse_GPURuntime.$(VERSION).a
	( cd $(INSTALL_LIB) ; ln -sf libSuiteSparse_GPURuntime.$(VERSION).a libSuiteSparse_GPURuntime.a )
	chmod 644 $(INSTALL_LIB)/libSuiteSparse_GPURuntime*.a

# uninstall SuiteSparse_GPURuntime
uninstall:
	$(RM) $(INSTALL_LIB)/libSuiteSparse_GPURuntime*.a

=== UFget/Makefile ===
UFgui.jar:  UFgui.java UFhelp.html
	javac UFgui.java
	jar cfe UFgui.jar UFgui *.class UFhelp.html
	- $(RM) *.class

run: UFgui.jar
	java -jar UFgui.jar

=== UMFPACK/Makefile ===
#-------------------------------------------------------------------------------
# UMFPACK Makefile
#-------------------------------------------------------------------------------

VERSION = 5.7.1

# UMFPACK requires the AMD package to be in ../AMD

default: all

include ../SuiteSparse_config/SuiteSparse_config.mk

# compile all C code (except hb, fortran, and fortran64), incl. AMD and demos
all:
	( cd Lib    ; $(MAKE) )
	( cd Demo   ; $(MAKE) )

# compile just the C-callable UMFPACK library
library:
	( cd Lib    ; $(MAKE) )

# compile the FORTRAN interface and demo program
fortran:
	( cd Demo   ; $(MAKE) fortran )

# compile the 64-bit FORTRAN interface and demo program
fortran64:
	( cd Demo   ; $(MAKE) fortran64 )

# compile the Harwell/Boeing demo program
hb:
	( cd Demo   ; $(MAKE) hb )

# remove object files, but keep the compiled programs and library archives
clean:
	( cd Lib    ; $(MAKE) clean )
	( cd Demo   ; $(MAKE) clean )
	( cd Doc    ; $(MAKE) clean )
	( cd MATLAB ; $(RM) $(CLEAN) rename.h )

# clean, and then remove compiled programs and library archives
purge:
	( cd Lib    ; $(MAKE) purge )
	( cd Demo   ; $(MAKE) purge )
	( cd Doc    ; $(MAKE) purge )
	( cd Tcov   ; $(MAKE) purge )
	( cd MATLAB ; $(RM) $(CLEAN) rename.h *.mex* )

# create PDF documents for the original distribution
docs:
	( cd Doc    ; $(MAKE) )

# get ready for distribution
dist: purge
	( cd Demo   ; $(MAKE) dist )
	( cd Doc    ; $(MAKE) )

distclean: purge

ccode: library

lib: library

# statement coverage (requires Linux; takes a lot of time and disk space)
cov: purge
	( cd Tcov ; ./DO.all )

# install UMFPACK
install:
	$(CP) Lib/libumfpack.a $(INSTALL_LIB)/libumfpack.$(VERSION).a
	( cd $(INSTALL_LIB) ; ln -sf libumfpack.$(VERSION).a libumfpack.a )
	$(CP) Include/*.h $(INSTALL_INCLUDE)
	chmod 644 $(INSTALL_LIB)/libumfpack*.a
	chmod 644 $(INSTALL_INCLUDE)/umfpack*.h

# uninstall UMFPACK
uninstall:
	$(RM) $(INSTALL_LIB)/libumfpack*.a
	$(RM) $(INSTALL_INCLUDE)/umfpack*.h

=== AMD/Demo/Makefile ===
#-----------------------------------------------------------------------------
# compile the AMD demo (for both GNU make or original make)
#-----------------------------------------------------------------------------

default: amd_simple amd_demo amd_demo2 amd_l_demo

include ../../SuiteSparse_config/SuiteSparse_config.mk

C = $(CC) $(CF) -I../Include -I../../SuiteSparse_config

INC = ../Include/amd.h ../../SuiteSparse_config/SuiteSparse_config.h

LIB2 = ../../SuiteSparse_config/libsuitesparseconfig.a $(LIB)

library:
	( cd ../../SuiteSparse_config ; $(MAKE) )
	( cd ../Lib ; $(MAKE) )

f77lib:
	( cd ../Lib ; $(MAKE) fortran )

#------------------------------------------------------------------------------
# Create the demo program, run it, and compare the output
#------------------------------------------------------------------------------

dist:

amd_demo: amd_demo.c library $(INC)
	$(C) -o amd_demo amd_demo.c ../Lib/libamd.a $(LIB2)
	./amd_demo > my_amd_demo.out
	- diff amd_demo.out my_amd_demo.out

amd_l_demo: amd_l_demo.c library $(INC)
	$(C) -o amd_l_demo amd_l_demo.c ../Lib/libamd.a $(LIB2)
	./amd_l_demo > my_amd_l_demo.out
	- diff amd_l_demo.out my_amd_l_demo.out

amd_demo2: amd_demo2.c library $(INC)
	$(C) -o amd_demo2 amd_demo2.c ../Lib/libamd.a $(LIB2)
	./amd_demo2 > my_amd_demo2.out
	- diff amd_demo2.out my_amd_demo2.out

amd_simple: amd_simple.c library $(INC)
	$(C) -o amd_simple amd_simple.c ../Lib/libamd.a $(LIB2)
	./amd_simple > my_amd_simple.out
	- diff amd_simple.out my_amd_simple.out

#------------------------------------------------------------------------------
# compile the Fortran demo
#------------------------------------------------------------------------------

fortran: amd_f77demo amd_f77simple

cross: amd_f77cross

amd_f77demo: amd_f77demo.f f77lib
	$(F77) $(F77FLAGS) -o amd_f77demo amd_f77demo.f ../Lib/libamdf77.a \
	    $(F77LIB)
	./amd_f77demo > my_amd_f77demo.out
	- diff amd_f77demo.out my_amd_f77demo.out

amd_f77simple: amd_f77simple.f f77lib
	$(F77) $(F77FLAGS) -o amd_f77simple amd_f77simple.f \
	    ../Lib/libamdf77.a $(F77LIB)
	./amd_f77simple > my_amd_f77simple.out
	- diff amd_f77simple.out my_amd_f77simple.out

amd_f77wrapper.o: amd_f77wrapper.c
	$(C) -DDINT -c amd_f77wrapper.c

amd_f77cross:  amd_f77cross.f amd_f77wrapper.o ../Lib/libamd.a
	$(F77) $(F77FLAGS) -o amd_f77cross amd_f77cross.f amd_f77wrapper.o \
	    ../Lib/libamd.a $(F77LIB)
	./amd_f77cross > my_amd_f77cross.out
	- diff amd_f77cross.out my_amd_f77cross.out

#------------------------------------------------------------------------------
# Remove all but the files in the original distribution
#------------------------------------------------------------------------------

clean:
	- $(RM) $(CLEAN)

purge: distclean

distclean: clean
	- $(RM) amd_demo my_amd_demo.out
	- $(RM) amd_l_demo my_amd_l_demo.out
	- $(RM) amd_demo2 my_amd_demo2.out
	- $(RM) amd_simple my_amd_simple.out
	- $(RM) amd_f77demo my_amd_f77demo.out
	- $(RM) amd_f77simple my_amd_f77simple.out
	- $(RM) amd_f77cross my_amd_f77cross.out
	- $(RM) -r *.dSYM

=== AMD/Lib/Makefile ===
#-------------------------------------------------------------------------------
# AMD Makefile for compiling on Unix systems (for original Make ONLY)
#-------------------------------------------------------------------------------

# This is a very ugly Makefile, and is only provided for those who do not
# have GNU make.  Note that it is not used if you have GNU make.  It ignores
# dependency checking and just compiles everything.

default: everything

include ../../SuiteSparse_config/SuiteSparse_config.mk

C = $(CC) $(CF) -I../Include -I../../SuiteSparse_config

everything:
	$(C) -DDINT -c ../Source/amd_aat.c -o amd_i_aat.o
	$(C) -DDINT -c ../Source/amd_1.c -o amd_i_1.o
	$(C) -DDINT -c ../Source/amd_2.c -o amd_i_2.o
	$(C) -DDINT -c ../Source/amd_dump.c -o amd_i_dump.o
	$(C) -DDINT -c ../Source/amd_postorder.c -o amd_i_postorder.o
	$(C) -DDINT -c ../Source/amd_post_tree.c -o amd_i_post_tree.o
	$(C) -DDINT -c ../Source/amd_defaults.c -o amd_i_defaults.o
	$(C) -DDINT -c ../Source/amd_order.c -o amd_i_order.o
	$(C) -DDINT -c ../Source/amd_control.c -o amd_i_control.o
	$(C) -DDINT -c ../Source/amd_info.c -o amd_i_info.o
	$(C) -DDINT -c ../Source/amd_valid.c -o amd_i_valid.o
	$(C) -DDINT -c ../Source/amd_preprocess.c -o amd_i_preprocess.o
	$(C) -DDLONG -c ../Source/amd_aat.c -o amd_l_aat.o
	$(C) -DDLONG -c ../Source/amd_1.c -o amd_l_1.o
	$(C) -DDLONG -c ../Source/amd_2.c -o amd_l_2.o
	$(C) -DDLONG -c ../Source/amd_dump.c -o amd_l_dump.o
	$(C) -DDLONG -c ../Source/amd_postorder.c -o amd_l_postorder.o
	$(C) -DDLONG -c ../Source/amd_post_tree.c -o amd_l_post_tree.o
	$(C) -DDLONG -c ../Source/amd_defaults.c -o amd_l_defaults.o
	$(C) -DDLONG -c ../Source/amd_order.c -o amd_l_order.o
	$(C) -DDLONG -c ../Source/amd_control.c -o amd_l_control.o
	$(C) -DDLONG -c ../Source/amd_info.c -o amd_l_info.o
	$(C) -DDLONG -c ../Source/amd_valid.c -o amd_l_valid.o
	$(C) -DDLONG -c ../Source/amd_preprocess.c -o amd_l_preprocess.o
	$(ARCHIVE)  ../Lib/libamd.a \
            amd_i_aat.o amd_i_1.o amd_i_2.o amd_i_dump.o \
	    amd_i_postorder.o amd_i_post_tree.o amd_i_defaults.o amd_i_order.o \
	    amd_i_control.o amd_i_info.o amd_i_valid.o amd_l_aat.o amd_l_1.o \
	    amd_l_2.o amd_l_dump.o amd_l_postorder.o amd_l_post_tree.o \
	    amd_l_defaults.o amd_l_order.o amd_l_control.o amd_l_info.o \
	    amd_l_valid.o amd_i_preprocess.o amd_l_preprocess.o
	- $(RANLIB) ../Lib/libamd.a

#-------------------------------------------------------------------------------
# compile the Fortran versions and the libamdf77.a library
#-------------------------------------------------------------------------------

fortran:
	$(F77) $(F77FLAGS) -c ../Source/amd.f -o amd.o
	$(F77) $(F77FLAGS) -c ../Source/amdbar.f -o amdbar.o
	$(ARCHIVE)  ../Lib/libamdf77.a amd.o amdbar.o
	- $(RANLIB) ../Lib/libamdf77.a

#-------------------------------------------------------------------------------
# Remove all but the files in the original distribution
#-------------------------------------------------------------------------------

clean:
	- $(RM) $(CLEAN)

purge: distclean

distclean: clean
	- $(RM) ../Lib/libamd.a ../Lib/libamdf77.a

=== BTF/Lib/Makefile ===
default: all

ccode: all

include ../../SuiteSparse_config/SuiteSparse_config.mk

# for testing only:
# TEST = -DTESTING

C = $(CC) $(CF)

INC = ../Include/btf.h ../Include/btf_internal.h

I = -I../Include -I../../SuiteSparse_config

all: library

library: libbtf.a

OBJ = btf_order.o btf_maxtrans.o btf_strongcomp.o \
    btf_l_order.o btf_l_maxtrans.o btf_l_strongcomp.o

libbtf.a: $(OBJ)
	$(ARCHIVE)  libbtf.a $(OBJ)
	- $(RANLIB) libbtf.a

$(OBJ): $(INC)

#-------------------------------------------------------------------------------

btf_order.o: ../Source/btf_order.c
	$(C) -c $(I) $< -o $@

btf_maxtrans.o: ../Source/btf_maxtrans.c
	$(C) -c $(I) $< -o $@

btf_strongcomp.o: ../Source/btf_strongcomp.c
	$(C) -c $(I) $< -o $@

#-------------------------------------------------------------------------------

btf_l_order.o: ../Source/btf_order.c
	$(C) -c $(I) -DDLONG $< -o $@

btf_l_maxtrans.o: ../Source/btf_maxtrans.c
	$(C) -c $(I) -DDLONG $< -o $@

btf_l_strongcomp.o: ../Source/btf_strongcomp.c
	$(C) -c $(I) -DDLONG $< -o $@

#-------------------------------------------------------------------------------

purge: distclean

distclean: clean
	- $(RM) libbtf.a 

clean:
	- $(RM) $(CLEAN)

=== debian/changelog ===
suitesparse (1:4.4.6-1) unstable; urgency=medium

  * Imported Upstream version 4.4.6
  * Bump SOVERSION for libspqr and libsuitesparseconfig.
  * Drop libsuitesparse-dbg package, migrate to automatic debug packages.
  * libsuitesparse-doc: suggest instead of recommending BLAS and ATLAS doc.
    Also replace transitional libblas-doc package by liblapack-doc and
    liblapack-doc-man.
  * Remove old Conflicts/Replaces against old ufsparse/umfpack4 packages.

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 19 Jan 2016 16:59:48 +0100

suitesparse (1:4.4.5-2) unstable; urgency=low

  * Upload to unstable.

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 20 Nov 2015 11:12:28 +0100

suitesparse (1:4.4.5-1) experimental; urgency=low

  * Imported Upstream version 4.4.5
  * debian/copyright: reflect upstream changes.
  * Bump SOVERSION for libcholmod, libklu and libsuitesparseconfig.

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 25 Sep 2015 23:37:44 +0200

suitesparse (1:4.4.4-1) experimental; urgency=low

  * Imported Upstream version 4.4.4
  * Bump SOVERSION for libspqr and libsuitesparseconfig.
  * Fix typo in description of libccolamd. (Closes: #768365)
  * Overhaul long package descriptions. (Closes: #633042)

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 10 Apr 2015 18:00:39 +0200

suitesparse (1:4.4.3-1) experimental; urgency=low

  * Imported Upstream version 4.4.3
  * debian/copyright: update, rewrite using machine-readable format 1.0.
  * Bump library SONAMEs.
  * Update patches.
    + Merge all patches related to shared libraries building in
      shared_libraries.patch.
    + Separate patch for BLAS library (use-generic-blas.patch) from the one
      disabling METIS (disable-metis.patch).
    + Give more explicit names to remaining patches, and use the .patch
      extension.
  * Ship libsuitesparseconfig in a separate package.
    This is now necessary because the library contains a global symbol, shared
    between several SuiteSparse libraries.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Update debian/watch for new tarball location.
  * debian/control: update homepage URL.
  * Ship cs.h from both CSparse and CXSparse.
    CSparse and CXSparse both provide a header named cs.h. Previously, only the
    CXSparse version was provided. Both versions are now provided in separate
    subdirectories of /usr/include/suitesparse. A toplevel symlink pointing to
    the CXSparse version is left for backward compatibility.
  * Add missing SuiteSparse_config in long description of libsuitesparse-dev.
  * Regenerate debian/control from the clean rule (instead of using a
    dedicated target). This seems acceptable, since it's done in
    gnome-pkg-tools.

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 08 Feb 2015 18:54:17 +0100

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: suitesparse
Section: math
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Christophe Prud'homme <prudhomm@debian.org>,
 Sébastien Villemot <sebastien@debian.org>
Build-Depends: cdbs (>= 0.4.52), debhelper (>= 9), dh-exec, gfortran,
 libblas-dev, liblapack-dev
Standards-Version: 3.9.6
Homepage: http://www.suitesparse.com
Vcs-Git: git://anonscm.debian.org/debian-science/packages/suitesparse.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/suitesparse.git

Package: libamd2.4.1
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: approximate minimum degree ordering library for sparse matrices
 Suitesparse is a collection of libraries for computations involving
 sparse matrices.
 .
 The AMD library provides a set of routines for pre-ordering sparse matrices
 prior to Cholesky or LU factorization, using the "Approximate Minimum Degree
 ordering" algorithm.

Package: libbtf1.2.1
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: permutation to block triangular form library for sparse matrices
 Suitesparse is a collection of libraries for computations involving
 sparse matrices.
 .
 The BTF library is a software package for permuting a matrix into Block upper
 Triangular Form. It includes a maximum transversal algorithm, which finds a
 permutation of a square or rectangular matrix so that it has a zero-free
 diagonal (if one exists); otherwise, it finds a maximal matching which
 maximizes the number of nonzeros on the diagonal. The package also includes a
 method for finding the strongly connected components of a graph. These two
 methods together give the permutation to block upper triangular form.

Package: libcamd2.4.1
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: symmetric approximate minimum degree library for sparse matrices
 Suitesparse is a collection of libraries for computations involving
 sparse matrices.
 .
 The CAMD library provides a set of routines for pre-ordering sparse matrices
 prior to Cholesky or LU factorization, using the approximate minimum degree
 ordering algorithm with optional ordering constraints.

Package: libcolamd2.9.1
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: column approximate minimum degree ordering library for sparse matrices
 Suitesparse is a collection of libraries for computations involving
 sparse matrices.
 .
 The COLAMD library implements the "COLumn Approximate Minimum Degree ordering"
 algorithm. It computes a permutation vector P such that the LU factorization
 of A (:,P) tends to be sparser than that of A. The Cholesky factorization of
 (A (:,P))'*(A (:,P)) will also tend to be sparser than that of A'*A.

Package: libccolamd2.9.1
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: constrained column approximate library for sparse matrices
 Suitesparse is a collection of libraries for computations involving
 sparse matrices.
 .
 The CCOLAMD library implements the "Constrained COLumn Approximate Minimum
 Degree ordering" algorithm. It computes a permutation vector P such that the
 LU factorization of A (:,P) tends to be sparser than that of A. The Cholesky
 factorization of (A (:,P))'*(A (:,P)) will also tend to be sparser than that
 of A'*A.

Package: libcholmod3.0.6
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: sparse Cholesky factorization library for sparse matrices
 Suitesparse is a collection of libraries for computations involving
 sparse matrices.
 .
 The CHOLMOD library provides a set of routines for factorizing sparse
 symmetric positive definite matrices of the form A or AA', updating/downdating
 a sparse Cholesky factorization, solving linear systems, updating/downdating
 the solution to the triangular system Lx=b, and many other sparse matrix
 functions for both symmetric and unsymmetric matrices. Its supernodal Cholesky
 factorization relies on LAPACK and the Level-3 BLAS, and obtains a substantial
 fraction of the peak performance of the BLAS.

Package: libcsparse3.1.4
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: concise sparse matrix library
 Suitesparse is a collection of libraries for computations involving
 sparse matrices.
 .
 The CSparse library provides several matrix algorithms. The focus is on direct
 methods; iterative methods and solvers for eigenvalue problems are beyond the
 scope of this package.
 .
 The performance of the sparse factorization methods in CSparse will not be
 competitive with UMFPACK or CHOLMOD, but the codes are much more concise and
 easy to understand. Other methods are competitive.

Package: libcxsparse3.1.4
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: concise sparse matrix library (complex, int and long int support)
 Suitesparse is a collection of libraries for computations involving
 sparse matrices.
 .
 The CXSparse library is a version of CSparse (see libcsparse package) that
 operates on both real and complex matrices.

Package: libklu1.3.3
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: circuit simulation sparse LU factorization library
 Suitesparse is a collection of libraries for computations involving
 sparse matrices.
 .
 The KLU library provides routines for LU factorization, primarily for circuit
 simulation.

Package: libldl2.2.1
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: simple LDL' factorization library for sparse matrices
 Suitesparse is a collection of libraries for computations involving
 sparse matrices.
 .
 The LDL library provides routines for sparse LDL' factorization and solving.
 These routines are not terrifically fast (they do not use dense matrix
 kernels), but the code is very short and concise. The purpose is to illustrate
 the algorithms in a very concise and readable manner, primarily for
 educational purposes.

Package: libumfpack5.7.1
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: sparse LU factorization library
 Suitesparse is a collection of libraries for computations involving
 sparse matrices.
 .
 The UMFPACK library provides a set of routines solving sparse linear systems
 via LU factorization.

Package: libspqr2.0.2
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: sparse QR factorization library
 Suitesparse is a collection of libraries for computations involving
 sparse matrices.
 .
 SuiteSparseQR (SPQR) is a multithreaded, multifrontal, rank-revealing sparse
 QR factorization method.

Package: libsuitesparseconfig4.4.6
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: configuration routines for all SuiteSparse modules
 Suitesparse is a collection of libraries for computations involving
 sparse matrices.
 .
 The SuiteSparse_config library provides configuration routines that are common
 to all SuiteSparse libraries.

Package: libsuitesparse-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Replaces: libsuitesparse-metis-dev
Conflicts: libsuitesparse-metis-dev
Depends: ${misc:Depends},
 libamd2.4.1 (= ${binary:Version}),
 libcamd2.4.1 (= ${binary:Version}),
 libbtf1.2.1 (= ${binary:Version}),
 libcolamd2.9.1 (= ${binary:Version}),
 libccolamd2.9.1 (= ${binary:Version}),
 libcholmod3.0.6 (= ${binary:Version}),
 libcsparse3.1.4 (= ${binary:Version}),
 libcxsparse3.1.4 (= ${binary:Version}),
 libklu1.3.3 (= ${binary:Version}),
 libldl2.2.1 (= ${binary:Version}),
 libumfpack5.7.1 (= ${binary:Version}),
 libspqr2.0.2 (= ${binary:Version}),
 libsuitesparseconfig4.4.6 (= ${binary:Version}),
 libblas-dev | libblas.so,
 liblapack-dev | liblapack.so
Description: libraries for sparse matrices computations (development files)
 Suitesparse is a collection of libraries for computations involving
 sparse matrices.  This package includes the following libraries:
 .
 AMD         approximate minimum degree ordering
 .
 CAMD        symmetric approximate minimum degree
 .
 BTF         permutation to block triangular form (beta)
 .
 COLAMD      column approximate minimum degree ordering
 .
 CCOLAMD     constrained column approximate minimum degree ordering
 .
 CHOLMOD     sparse Cholesky factorization
 .
 CSparse     a concise sparse matrix package
 .
 CXSparse    CSparse extended: complex matrix, int and long int support
 .
 KLU         sparse LU factorization, primarily for circuit simulation
 .
 LDL         a simple LDL' factorization
 .
 UMFPACK     sparse LU factorization
 .
 SPQR        sparse QR factorization
 .
 SuiteSparse_config    configuration routines for all the above packages.
 .
 This package contains the static libraries and header files.

Package: libsuitesparse-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: liblapack-doc, liblapack-doc-man, libatlas-doc
Description: libraries for sparse matrices computations (documentation)
 Suitesparse is a collection of libraries for computations involving
 sparse matrices. This package contains the user guides for the
 libraries distributed by the SuiteSparse project.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/debhelper.mk

DEB_AUTO_CLEANUP_RCS	:= yes
DEB_SRCDIR 		:= $(CURDIR)/
DEB_BUILDDIR 		:= $(DEB_SRCDIR)/

DEB_MAKE_CLEAN_TARGET    := clean
DEB_MAKE_BUILD_TARGET    := default
DEB_COMPRESS_EXCLUDE_ALL := .pdf
DEB_DH_STRIP_ARGS        := --dbgsym-migration='libsuitesparse-dbg (<< 1:4.4.6-1~)'

# List of libraries provided by SuiteSparse
LIBRARIES = AMD CAMD BTF COLAMD CCOLAMD CHOLMOD CSparse CXSparse KLU LDL UMFPACK SPQR SuiteSparse_config
# Generate variables like "AMD = libamd<soversion>"
$(foreach lib, $(LIBRARIES), $(eval $(lib) = $(shell perl debian/library-soname.pl $(lib))))
# Lists of lib*.install files
INSTALL_FILES = $(foreach lib, $(LIBRARIES), debian/$($(lib)).install)

# Generate rules for debian/lib*.install
$(foreach lib, $(LIBRARIES), $(eval debian/$($(lib)).%: debian/%/$(lib) ; cp $$< $$@))

makebuilddir:: $(INSTALL_FILES) debian/control

common-build-arch::
	-( cd AMD/Doc      && mv ChangeLog AMD_ChangeLog )
	-( cd CAMD/Doc     && mv ChangeLog CAMD_ChangeLog )
	-( cd CCOLAMD/Doc  && mv ChangeLog CCOLAMD_ChangeLog )
	-( cd COLAMD/Doc   && mv ChangeLog COLAMD_ChangeLog )
	-( cd BTF/Doc      && mv ChangeLog BTF_ChangeLog )
	-( cd KLU/Doc      && mv ChangeLog KLU_ChangeLog )
	-( cd LDL/Doc      && mv ChangeLog LDL_ChangeLog )
	-( cd UMFPACK/Doc  && mv ChangeLog UMFPACK_ChangeLog )
	-( cd CHOLMOD/Doc  && mv ChangeLog CHOLMOD_ChangeLog )
	-( cd CSparse/Doc  && mv ChangeLog CSparse_ChangeLog )
	-( cd CXSparse/Doc && mv ChangeLog CXSparse_ChangeLog )
	-( cd SPQR/Doc     && mv ChangeLog SPQR_ChangeLog )

build/libsuitesparse-doc::
	-( cd CHOLMOD/Doc && mv UserGuide.pdf CHOLMOD_UserGuide.pdf && mv UserGuide.bib CHOLMOD_UserGuide.bib )
	-( cd UMFPACK/Doc && mv UserGuide.pdf UMFPACK_UserGuide.pdf && mv UserGuide.bib UMFPACK_UserGuide.bib )
	-( cd UMFPACK/Doc && mv QuickStart.pdf UMFPACK_QuickStart.pdf )

cleanbuilddir::
	-( cd AMD/Doc      && mv AMD_ChangeLog ChangeLog )
	-( cd CAMD/Doc     && mv CAMD_ChangeLog ChangeLog )
	-( cd CCOLAMD/Doc  && mv CCOLAMD_ChangeLog ChangeLog )
	-( cd COLAMD/Doc   && mv COLAMD_ChangeLog ChangeLog )
	-( cd BTF/Doc      && mv BTF_ChangeLog ChangeLog )
	-( cd KLU/Doc      && mv KLU_ChangeLog ChangeLog )
	-( cd LDL/Doc      && mv LDL_ChangeLog ChangeLog )
	-( cd UMFPACK/Doc  && mv UMFPACK_ChangeLog ChangeLog )
	-( cd CHOLMOD/Doc  && mv CHOLMOD_ChangeLog ChangeLog )
	-( cd CSparse/Doc  && mv CSparse_ChangeLog ChangeLog )
	-( cd CXSparse/Doc && mv CXSparse_ChangeLog ChangeLog )
	-( cd SPQR/Doc     && mv SPQR_ChangeLog ChangeLog )

cleanbuilddir/libsuitesparse-doc::
	-( cd CHOLMOD/Doc && mv CHOLMOD_UserGuide.pdf UserGuide.pdf && mv CHOLMOD_UserGuide.bib UserGuide.bib )
	-( cd UMFPACK/Doc && mv UMFPACK_UserGuide.pdf UserGuide.pdf && mv UMFPACK_UserGuide.bib UserGuide.bib )
	-( cd UMFPACK/Doc && mv UMFPACK_QuickStart.pdf QuickStart.pdf )

clean::
	-make purge
	-find $(DEB_BUILDDIR) -name "*.a" | xargs rm
	-find $(DEB_BUILDDIR) -name "*.so*" | xargs rm
	-find $(DEB_BUILDDIR) -name "*.oo" | xargs rm
	rm -f $(INSTALL_FILES)

	# Regenerate debian/control from debian/control.in. Note that this
	# should not be automatized during the build (see
	# http://ftp-master.debian.org/REJECT-FAQ.html), but doing it in the
	# clean rule seems ok (this is done by gnome-pkg-tools).
	{ \
	  echo "# This file is autogenerated. DO NOT EDIT!" ; \
	  echo "#" ; \
	  echo "# Modifications should be made to debian/control.in instead." ; \
	  echo "# This file is regenerated automatically in the clean target." ; \
	  echo ; \
	  sed "$(foreach lib, $(LIBRARIES), s/@$(lib)@/$($(lib))/g;)" debian/control.in ; } \
	> debian/control

get-orig-source:
	uscan --force-download --rename --destdir .
.PHONY: get-orig-source

=== debian/watch ===
version=3
http://www.suitesparse.com \
(?:|.*/)SuiteSparse(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## suitesparse 4.5.3

=== SuiteSparse_config/Makefile ===
#-------------------------------------------------------------------------------
# SuiteSparse_config Makefile
#-------------------------------------------------------------------------------

SUITESPARSE ?= $(realpath $(CURDIR)/..)
export SUITESPARSE

# version of SuiteSparse_config is also version of SuiteSparse meta-package
LIBRARY = libsuitesparseconfig
VERSION = 4.5.3
SO_VERSION = 4

default: library

include SuiteSparse_config.mk

ccode: all

all: library

# compile and install in SuiteSparse/lib
library: $(AR_TARGET)
	$(MAKE) install INSTALL=$(SUITESPARSE)

OBJ = SuiteSparse_config.o

SuiteSparse_config.o: SuiteSparse_config.c SuiteSparse_config.h
	$(CC) $(CF) -c SuiteSparse_config.c

static: $(AR_TARGET)

$(AR_TARGET): $(OBJ)
	$(ARCHIVE) $(AR_TARGET) SuiteSparse_config.o
	$(RANLIB) $(AR_TARGET)

distclean: purge

purge: clean
	( cd xerbla ; $(MAKE) purge )
	- $(RM) -r $(PURGE)

clean:
	( cd xerbla ; $(MAKE) clean )
	- $(RM) -r $(CLEAN)

# install SuiteSparse_config
install: $(AR_TARGET) $(INSTALL_LIB)/$(SO_TARGET)

$(INSTALL_LIB)/$(SO_TARGET): $(OBJ)
	@mkdir -p $(INSTALL_LIB)
	@mkdir -p $(INSTALL_INCLUDE)
	@mkdir -p $(INSTALL_DOC)
	$(CC) $(SO_OPTS) $^ -o $@ $(LDLIBS)
	( cd $(INSTALL_LIB) ; ln -sf $(SO_TARGET) $(SO_PLAIN) )
	( cd $(INSTALL_LIB) ; ln -sf $(SO_TARGET) $(SO_MAIN) )
	$(CP) SuiteSparse_config.h $(INSTALL_INCLUDE)
	$(CP) README.txt $(INSTALL_DOC)/SUITESPARSECONFIG_README.txt
	chmod 755 $(INSTALL_LIB)/$(SO_TARGET)
	chmod 755 $(INSTALL_LIB)/$(SO_PLAIN)
	chmod 644 $(INSTALL_INCLUDE)/SuiteSparse_config.h
	chmod 644 $(INSTALL_DOC)/SUITESPARSECONFIG_README.txt

# uninstall SuiteSparse_config
uninstall:
	$(RM) $(INSTALL_LIB)/$(SO_TARGET)
	$(RM) $(INSTALL_LIB)/$(SO_PLAIN)
	$(RM) $(INSTALL_LIB)/$(SO_MAIN)
	$(RM) $(INSTALL_INCLUDE)/SuiteSparse_config.h
	$(RM) $(INSTALL_DOC)/SUITESPARSECONFIG_README.txt
	( cd xerbla ; $(MAKE) uninstall )

=== debian/changelog ===
suitesparse (1:4.5.3-1) unstable; urgency=low

  * Release to unstable.
  * Imported Upstream version 4.5.3.

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 17 May 2016 16:11:44 +0200

suitesparse (1:4.5.3~beta-1) experimental; urgency=low

  * Imported Upstream version 4.5.3~beta
  * d/copyright: reflect upstream changes.
  * Switch to dh (instead of cdbs).
  * Upstream committed to ABI tracking, so drop older system for
    generating SONAMES.
  * Use new upstream build system for compiling shared libraries.
  * Drop all patches (except buildflags.patch), no longer needed.
  * Enable METIS support (through Debian package, not embedded copy).
  * Add package for RBio (librbio).
  * Drop package for CSparse (libcsparse), superseded by libcxsparse.
  * Add symbols files (except for SPQR lib which has C++ code).
  * Bump Standards-Version to 3.9.8, no changes needed.
  * Use secure URLs for Vcs-* fields.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 04 May 2016 15:18:26 +0200

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,17 @@
-# This file is autogenerated. DO NOT EDIT!
-#
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
-
 Source: suitesparse
 Section: math
 Priority: optional
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Christophe Prud'homme <prudhomm@debian.org>,
  Sébastien Villemot <sebastien@debian.org>
-Build-Depends: cdbs (>= 0.4.52), debhelper (>= 9), dh-exec, gfortran,
- libblas-dev, liblapack-dev
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 9), dh-exec, gfortran, libblas-dev, liblapack-dev,
+ libmetis-dev
+Standards-Version: 3.9.8
 Homepage: http://www.suitesparse.com
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/suitesparse.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/suitesparse.git
-
-Package: libamd2.4.1
+Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/suitesparse.git
+Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/suitesparse.git
+
+Package: libamd2
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -30,7 +25,7 @@
  prior to Cholesky or LU factorization, using the "Approximate Minimum Degree
  ordering" algorithm.
 
-Package: libbtf1.2.1
+Package: libbtf1
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -48,7 +43,7 @@
  method for finding the strongly connected components of a graph. These two
  methods together give the permutation to block upper triangular form.
 
-Package: libcamd2.4.1
+Package: libcamd2
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -62,7 +57,7 @@
  prior to Cholesky or LU factorization, using the approximate minimum degree
  ordering algorithm with optional ordering constraints.
 
-Package: libcolamd2.9.1
+Package: libcolamd2
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -77,7 +72,7 @@
  of A (:,P) tends to be sparser than that of A. The Cholesky factorization of
  (A (:,P))'*(A (:,P)) will also tend to be sparser than that of A'*A.
 
-Package: libccolamd2.9.1
+Package: libccolamd2
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -93,7 +88,7 @@
  factorization of (A (:,P))'*(A (:,P)) will also tend to be sparser than that
  of A'*A.
 
-Package: libcholmod3.0.6
+Package: libcholmod3
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -111,7 +106,7 @@
  factorization relies on LAPACK and the Level-3 BLAS, and obtains a substantial
  fraction of the peak performance of the BLAS.
 
-Package: libcsparse3.1.4
+Package: libcxsparse3
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -121,28 +116,15 @@
  Suitesparse is a collection of libraries for computations involving
  sparse matrices.
  .
- The CSparse library provides several matrix algorithms. The focus is on direct
+ The CXSparse library provides several matrix algorithms. The focus is on direct
  methods; iterative methods and solvers for eigenvalue problems are beyond the
  scope of this package.
  .
- The performance of the sparse factorization methods in CSparse will not be
+ The performance of the sparse factorization methods in CXSparse will not be
  competitive with UMFPACK or CHOLMOD, but the codes are much more concise and
  easy to understand. Other methods are competitive.
 
-Package: libcxsparse3.1.4
-Section: libs
-Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: concise sparse matrix library (complex, int and long int support)
- Suitesparse is a collection of libraries for computations involving
- sparse matrices.
- .
- The CXSparse library is a version of CSparse (see libcsparse package) that
- operates on both real and complex matrices.
-
-Package: libklu1.3.3
+Package: libklu1
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -155,7 +137,7 @@
  The KLU library provides routines for LU factorization, primarily for circuit
  simulation.
 
-Package: libldl2.2.1
+Package: libldl2
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -171,7 +153,7 @@
  the algorithms in a very concise and readable manner, primarily for
  educational purposes.
 
-Package: libumfpack5.7.1
+Package: libumfpack5
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -184,7 +166,20 @@
  The UMFPACK library provides a set of routines solving sparse linear systems
  via LU factorization.
 
-Package: libspqr2.0.2
+Package: librbio2
+Section: libs
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: read/write sparse matrices in Rutherford/Boeing format
+ Suitesparse is a collection of libraries for computations involving
+ sparse matrices.
+ .
+ RBio is a library for reading/writing sparse matrices in the Rutherford/Boeing
+ format.
+
+Package: libspqr2
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -197,7 +192,7 @@
  SuiteSparseQR (SPQR) is a multithreaded, multifrontal, rank-revealing sparse
  QR factorization method.
 
-Package: libsuitesparseconfig4.4.6
+Package: libsuitesparseconfig4
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -217,19 +212,19 @@
 Replaces: libsuitesparse-metis-dev
 Conflicts: libsuitesparse-metis-dev
 Depends: ${misc:Depends},
- libamd2.4.1 (= ${binary:Version}),
- libcamd2.4.1 (= ${binary:Version}),
- libbtf1.2.1 (= ${binary:Version}),
- libcolamd2.9.1 (= ${binary:Version}),
- libccolamd2.9.1 (= ${binary:Version}),
- libcholmod3.0.6 (= ${binary:Version}),
- libcsparse3.1.4 (= ${binary:Version}),
- libcxsparse3.1.4 (= ${binary:Version}),
- libklu1.3.3 (= ${binary:Version}),
- libldl2.2.1 (= ${binary:Version}),
- libumfpack5.7.1 (= ${binary:Version}),
- libspqr2.0.2 (= ${binary:Version}),
- libsuitesparseconfig4.4.6 (= ${binary:Version}),
+ libamd2 (= ${binary:Version}),
+ libcamd2 (= ${binary:Version}),
+ libbtf1 (= ${binary:Version}),
+ libcolamd2 (= ${binary:Version}),
+ libccolamd2 (= ${binary:Version}),
+ libcholmod3 (= ${binary:Version}),
+ libcxsparse3 (= ${binary:Version}),
+ libklu1 (= ${binary:Version}),
+ libldl2 (= ${binary:Version}),
+ libumfpack5 (= ${binary:Version}),
+ librbio2 (= ${binary:Version}),
+ libspqr2 (= ${binary:Version}),
+ libsuitesparseconfig4 (= ${binary:Version}),
  libblas-dev | libblas.so,
  liblapack-dev | liblapack.so
 Description: libraries for sparse matrices computations (development files)
@@ -248,15 +243,15 @@
  .
  CHOLMOD     sparse Cholesky factorization
  .
- CSparse     a concise sparse matrix package
- .
- CXSparse    CSparse extended: complex matrix, int and long int support
+ CXSparse    a concise sparse matrix package
  .
  KLU         sparse LU factorization, primarily for circuit simulation
  .
  LDL         a simple LDL' factorization
  .
  UMFPACK     sparse LU factorization
+ .
+ RBio        read/write sparse matrices in Rutherford/Boeing format
  .
  SPQR        sparse QR factorization
  .

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/buildflags.mk

COMMON_FLAGS := BLAS=-lblas MY_METIS_LIB=-lmetis
PIC_FLAGS := $(COMMON_FLAGS) OPTIMIZATION=-fPIC
NOPIC_FLAGS := $(COMMON_FLAGS) OPTIMIZATION=

STATIC_LIBS := CAMD/Lib/libcamd.a BTF/Lib/libbtf.a CHOLMOD/Lib/libcholmod.a AMD/Lib/libamd.a RBio/Lib/librbio.a LDL/Lib/libldl.a SuiteSparse_config/libsuitesparseconfig.a KLU/Lib/libklu.a SPQR/Lib/libspqr.a UMFPACK/Lib/libumfpack.a COLAMD/Lib/libcolamd.a CXSparse/Lib/libcxsparse.a CCOLAMD/Lib/libccolamd.a

%:
	dh $@ --parallel

# LD_LIBRARY_PATH needed to make tests work (since buildflags.patch removes the -rpath)
override_dh_auto_build:
	# Build static libraries
	dh_auto_build -- static $(NOPIC_FLAGS)
	mkdir static_lib && cp $(STATIC_LIBS) static_lib/
	make purge

	# Build dynamic libraries
	LD_LIBRARY_PATH=$$(pwd)/lib dh_auto_build -- $(PIC_FLAGS)

override_dh_auto_install:
	make install $(PIC_FLAGS) INSTALL=$$(pwd)/debian/tmp/usr INSTALL_LIB=$$(pwd)/debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/ INSTALL_INCLUDE=$$(pwd)/debian/tmp/usr/include/suitesparse INSTALL_DOC=$$(pwd)/debian/tmp/usr/share/doc/suitesparse

override_dh_auto_clean:
	make purge
	rm -rf static_lib

override_dh_strip:
	dh_strip --dbgsym-migration='libsuitesparse-dbg (<< 1:4.4.6-1~)'

override_dh_compress:
	dh_compress -X.pdf

get-orig-source:
	uscan --force-download --rename --destdir .
.PHONY: get-orig-source
